Enqueue project

Important

A project queued for transcription needs to have media uploaded to it. See HTTP upload or WebSocket upload.

GET /API/v2/Projects/{ProjectId}/Enqueue

Enqueue project

Adds the project to a transcription queue. It will get picked up by the server and transcribed as specified by the provided transcription options.

Parameters:
  • ProjectId (integer)

Query Parameters:
  • StartTranscriptionAt (number)

  • TranscriptionDuration (number)

  • Lang (string) – default cs-CZ

  • WithPPC (boolean) – default true

  • WithVAD (boolean) – default true

  • WithPunctuation (boolean) – default true

  • SaveTrsx (boolean) – default true

  • TranscriptionProfile (string)

  • WithSpeakerId (boolean) – default false

  • WithDiarization (boolean) – default true

  • DiarizationProfile (string)

  • WithUserLex (boolean) – default true

  • StartTranscriptionAtSeconds (number) – Start partial transcription of recording from given time in seconds (or from recording start if not set) Transcription can start few seconds earlier (depending on format)

  • TranscriptionDurationInSeconds (number) – (maximum) Duration of transcription to transcribe in seconds (or to recording end if not set) Transcription can be few seconds longer depending on format

  • ExternalMessageStreams (string)

  • WithSongParagraphs (boolean) – Create paragraphs with songs or other audio with low ratio of words to noise

  • WithDraft (boolean) – enable sending unstabilized words/hypotheses at the end of the transcription (If model supports them)

  • CustomLabel (string) – Custom label that will be set as ActiveTrsxLabel and as a label to trsxes created from this transcription call.

  • ContentDescription (string) – Free-text short content description, for example from EPG event descriptor.

  • AllowEmptyTranscription (boolean) – When true, allows creating empty TRSX when no speech was recognized (e.g. muted live stream). Default false for backward compatibility.

Status Codes:
Response JSON Object:
  • Data.AccessToken (integer) – (required)

  • Data.ActiveTrsxLabel (string)

  • Data.Created (string)

  • Data.CreatorId (integer)

  • Data.DeleteAt (string)

  • Data.Description.Author (string)

  • Data.Description.Name (string)

  • Data.Description.Notes (string)

  • Data.Description.Start (string)

  • Data.ExpirationDate (string)

  • Data.HasRecording (boolean) – (required)

  • Data.Id (integer) – (required)

  • Data.IsReadOnly (boolean) – (required)

  • Data.IsTeamProject (boolean)

  • Data.KeywordsHighlight.TextList[][].Category (string) – (required)

  • Data.KeywordsHighlight.TextList[][].Highlight (string)

  • Data.KeywordsHighlight.TextList[][].Text (string) – (required)

  • Data.KeywordsHighlight.TextList[][].TimestampMs (integer)

  • Data.KeywordsHighlight.TextList[][].Type (string)

  • Data.Length (string) – (required)

  • Data.MediaInfo.HasVideo (boolean) – (required)

  • Data.MediaInfo.IsPackaged (boolean) – (required)

  • Data.ProcessingState (string) – (required)

  • Data.ShareCount (integer) – (required)

  • Data.Tags[] (string)

  • Data.TranscriptionConfig (any)

  • Data.Updated (string)